using Exam.Infrastructure.Data.Entity;
using System.ComponentModel;

namespace Hotline.Share.Dtos.ExamManages
{
    /// <summary>
    /// 考试答案
    /// </summary>
    [Description("考试答案")]
    public class ExamAnswerDto : ActionRequest
    {
        /// <summary>
        /// 选项
        /// </summary>
        [Description("选项")]
        public string? OptionId { get; set; }

        /// <summary>
        /// 答案
        /// </summary>
        [Description("答案")]
        public string? Answer { get; set; }

        /// <summary>
        /// 用户Id
        /// </summary>
        [Description("用户Id")]
        public string UserId { get; set; }

        /// <summary>
        /// 考试Id
        /// </summary>
        [Description("考试Id")]
        public string ExamId { get; set; }
    }
}
